Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class ExProperties

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  ru.biosoft.util.ExProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class ExProperties
extends java.util.Properties

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ExProperties()`

Method Summary
`void` | `load(java.io.InputStream inStream)`
`static void` | `replaceToken(java.util.Properties props, java.lang.String token, java.lang.String value)` Replace $token$ with specified value in all String properties.
`void` | `store(java.io.OutputStream out, java.lang.String header)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, propertyNames, save, setProperty`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExProperties

    public ExProperties()

Method Detail

### replaceToken

    public static void replaceToken(java.util.Properties props,
                                    java.lang.String token,
                                    java.lang.String value)

  Replace $token$ with specified value in all String properties.

  Parameters:
    `props` - All properties which will be parsed and replaced.
    `token` - token (without bound $) which should be replaced.
    `value` - value for replacing token.

### load

    public void load(java.io.InputStream inStream)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### store

    public void store(java.io.OutputStream out,
                      java.lang.String header)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.